Bug#341109: libpri1: Missing symbol: pri_suspend_acknowledge

Tzafrir Cohen tzafrir.cohen at xorcom.com
Mon Nov 28 14:27:29 UTC 2005

On Mon, Nov 28, 2005 at 02:59:20PM +0100, Matthias Urlichs wrote:
> Package: libpri1
> Version: 1.2.0-release-1
> Severity: serious
> Justification: unknon
> I just installed libpri 1.2.0-release-1 on my Sarge box, in preparation
> for upgrading asterisk.
> Nov 28 14:51:13 WARNING[31237]: /usr/lib/asterisk/modules/chan_zap.so:
> undefined symbol: pri_suspend_acknowledge
> You need to change the library's soname if you remove symbols.

I am not sure about the symbols, but from what I know, libpri 1.2 is not
supposed to be api-compatible with libpri 1.0  and asterisk 1.n
generally needs libpri 1.n (same n).

And just to complicate things a bit further, there is a nice little 200k
patch in the svn called bristuff that is basically a rewrite of libpri
and is not exactly API-compatible.

Tzafrir Cohen     icq#16849755  +972-50-7952406
tzafrir.cohen at xorcom.com  http://www.xorcom.com

More information about the Pkg-voip-maintainers mailing list